edu.northwestern.at.morphadorner.corpuslinguistics.lexicon

## Class DefaultWordLexicon

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.AbstractLexicon
    - - edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.BaseLexicon
      - - edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.DefaultLexicon
        - - edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.DefaultWordLexicon

- All Implemented Interfaces:
    Lexicon, UsesLogger

      public class DefaultWordLexicon
      extends DefaultLexicon
      implements Lexicon

  DefaultWordLexicon: Lexicon which uses default word lexicon.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `defaultLexiconPath` Resourch path to default (NUPOS) lexicon.

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.AbstractLexicon

      `categoryCountsMap, lexiconMap, logger, longestEntryLength, partOfSpeechTags, shortestEntryLength, uniqueEntryCountForCategoryMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultWordLexicon()` Create an empty lexicon.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.AbstractLexicon

      `checkCategoriesList, computeUniqueEntryCountsForCategories, containsEntry, getCategories, getCategoriesForEntry, getCategoriesForEntry, getCategoriesForEntry, getCategoryCount, getCategoryCount, getCategoryCounts, getCategoryCountsForEntry, getEntries, getEntryCount, getLargestCategory, getLemma, getLemma, getLemmata, getLexiconEntry, getLexiconSize, getLogger, getLongestEntryLength, getNumberOfCategories, getNumberOfCategoriesForEntry, getPartOfSpeechTags, getShortestEntryLength, getUniqueEntryCountForCategory, incrementUniqueEntryCountForCategory, loadLexicon, loadLexicon, removeEntry, removeEntryCategory, saveLexiconToTextFile, setLexiconEntry, setLogger, setPartOfSpeechTags, updateCategoryCount, updateEntryCount`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.Lexicon

      `containsEntry, getCategories, getCategoriesForEntry, getCategoriesForEntry, getCategoriesForEntry, getCategoryCount, getCategoryCount, getCategoryCounts, getCategoryCountsForEntry, getEntries, getEntryCount, getLargestCategory, getLemma, getLemma, getLemmata, getLexiconEntry, getLexiconSize, getLongestEntryLength, getNumberOfCategories, getNumberOfCategoriesForEntry, getPartOfSpeechTags, getShortestEntryLength, loadLexicon, loadLexicon, removeEntry, removeEntryCategory, saveLexiconToTextFile, setLexiconEntry, setPartOfSpeechTags, updateEntryCount`

- - ### Field Detail

    - #### defaultLexiconPath

          protected static final java.lang.String defaultLexiconPath

      Resourch path to default (NUPOS) lexicon.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultWordLexicon

          public DefaultWordLexicon()
                             throws java.lang.Exception

      Create an empty lexicon.
      Throws:
        `java.lang.Exception`